$(function () {
    $("#example1").DataTable({
        "responsive": true, "lengthChange": false, "autoWidth": false,
        "buttons": ["copy", "csv", "excel", "pdf", "print", "colvis"]
    }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
    $('#example2').DataTable({
        "paging": true,
        "lengthChange": false,
        "searching": false,
        "ordering": true,
        "info": true,
        "autoWidth": false,
        "responsive": true,
    });
    $("#formMalla").on("submit", function (e) {
        guardaryactualizarMalla(e);
    });
    $("#formAsignar").on("submit", function (e) {
        guardaryactualizarAsignar(e);
    });    
});

$(document).ready(function () {
    var m = document.getElementById("m").value;
    $('#configurar-data').DataTable({
        "aProcessing": true,
        "aServerSide": true,
        dom: 'Bfrtip',
        buttons: [
            'copyHtml5',
            'excelHtml5',
            'csvHtml5',
            'pdfHtml5',
            'print',
            'colvis'
        ],
        "ajax": {
            url: "../../controller/mallaCurricular.php?op=configurar&fil=mc&m="+m,
            type: "post"
        },
        "bDestroy": true,
        "responsive": true,
        "bInfo": true,
        "iDisplayLength": 20,
        "order": [[0, "desc"]],
        "language": {
            "sProcessing": "Procesando...",
            "sLengthMenu": "Mostrar _MENU_ registros",
            "sZeroRecords": "No se encontraron resultados",
            "sEmptyTable": "Ningun dato disponible en esta tabla",
            "sInfo": "Mostrando registro del _START_ al _END_ de un total de _TOTAL_ registros",
            "sInfoEmpty": "Mostrando registros del 0 al 0 de un total de 0 registros",
            "sInfoFiltered": "(filtrado de un total de _MAX_ registros)",
            "sInfoPostFix": "",
            "sSearch": "Buscar:",
            "sUrl": "",
            "sInfoThousands": ",",
            "sLoadingRecords": "Cargando...",
            "oPaginate": {
                "sFirst": "Primero",
                "sLast": "Ultimo",
                "sNext": "Siguiente",
                "sPrevious": "Anterior"
            },
            "oAria": {
                "sSortAscending": ": Activar para ordenar la columna de manera ascendente",
                "sSortDescending": ": Activar para ordenar la columna de manera descendente"
            }
        },
    });
    combo_asignatura();
    combo_docente();
});

function combo_asignatura() {
    $.post("../../controller/asignatura.php?op=comboAsignatura", function (data) {
        $('#asignatura').html(data);
    });
}

function combo_docente() {
    $.post("../../controller/persona.php?op=comboDocente", function (data) {
        $('#docente').html(data);
    });
}

function editar(mallacurriculardbk) {
    $.post("../../controller/mallaCurricular.php?op=consultar_malla", {mallacurriculardbk: mallacurriculardbk}, function (data) {
        data = JSON.parse(data);
        $('#mallacurriculardbk').val(data.mallacurriculardbk);
        $('#codigo').val(data.codigo);
        $('#asignatura').val(data.asignatura);
        $('#nivel').val(data.nivel);
        $('#creditos').val(data.creditos);
        $('#tipo').val(data.tipo);
        $('#cd').val(data.cd);
        $('#cp').val(data.cp);
        $('#ca').val(data.ca);        
    });
    $('#lblTitulo').html('Editar Malla Curricular');
    $('#mantenimiento').modal('show');
}

function asignar(mallacurriculardbk) {
    $.post("../../controller/mallaCurricular.php?op=consultar_malla", {mallacurriculardbk: mallacurriculardbk}, function (data) {        
        data = JSON.parse(data);
        $('#mallacurriculardbk2').val(data.mallacurriculardbk);
        $('#docente').val(data.docente);        
    });    
    $('#lblTitulo2').html('Editar Asignación');
    $('#asignar').modal('show');
}

function guardaryactualizarMalla(e) {
    e.preventDefault();
    var formData = new FormData($("#formMalla")[0]);
    $.ajax({
        url: '../../controller/mallaCurricular.php?op=guardar',
        type: "POST",
        data: formData,
        contentType: false,
        processData: false,
        success: function (data) {
            $('#configurar-data').DataTable().ajax.reload();
            $('#mantenimiento').modal('hide');
            Swal.fire({
                title: 'Operacion Exitosa',
                text: 'La información se ha guardada satisfactoriamente',
                icon: 'success',
                confirmButtonText: 'Aceptar'
            })
        }
    });
}

function guardaryactualizarAsignar(e) {
    e.preventDefault();
    var formData = new FormData($("#formAsignar")[0]);
    $.ajax({
        url: '../../controller/mallaCurricular.php?op=asignar',
        type: "POST",
        data: formData,
        contentType: false,
        processData: false,
        success: function (data) {
            $('#configurar-data').DataTable().ajax.reload();
            $('#asignar').modal('hide');
            Swal.fire({
                title: 'Operacion Exitosa',
                text: 'La información se ha guardada satisfactoriamente',
                icon: 'success',
                confirmButtonText: 'Aceptar'
            })
        }
    });
}

function configurar(mallacurriculardbk) {
    window.location = "https://localhost/sied/view/MallaCurricular/configurar.php?m=" + mallacurriculardbk;
}

function eliminar(mallacurriculardbk) {
    swal.fire({
        title: "Eliminar",
        text: "Desea Eliminar el Registro de manera definitiva",
        icon: "error",
        confirmButtonText: "Si",
        showCancelButton: true,
        cancelButtonText: "No",
    }).then((result) => {
        if (result.value) {
            $.post("../../controller/mallaCurricular.php?op=eliminar_malla", {mallacurriculardbk: mallacurriculardbk}, function (data) {
                $('#configurar-data').DataTable().ajax.reload();
                Swal.fire({
                    title: 'Operacion Exitosa',
                    text: 'El registro se elimino correctamente',
                    icon: 'success',
                    confirmButtonText: 'Aceptar'
                })
            });
        }
    });
}

function nuevo() {
    $('#mallacurriculardbk').val('');
    $('#asignatura').val('').trigger('change');
    $('#nivel').val('').trigger('change');    
    $('#creditos').val('');
    $('#tipo').val('').trigger('change');
    $('#codigo').val('');
    $('#lblTitulo').html('Nuevo Registro');
    $('#formMalla')[0].reset();
    $('#mantenimiento').modal('show');
}

$(".tablas").on("click", ".btnActivarCalificar", function () {
    var mallacurriculardbk = $(this).attr("idCalificar");
    var estado = $(this).attr("estadoCalificar");
    var datos = new FormData();
    datos.append("activarId", mallacurriculardbk);
    datos.append("activarCalificar", estado);
    $.ajax({
        url: "../../controller/mallaCurricular.php?op=calificar",
        method: "POST",
        data: datos,
        cache: false,
        contentType: false,
        processData: false,
        success: function (data) {
        }        
    })
    if (estado == "INACTIVO") {
        $(this).removeClass('btn-success');
        $(this).addClass('btn-danger');
        $(this).html('Inactivo');
        $(this).attr('estadoCalificar', "ACTIVO");
    } else {
        $(this).addClass('btn-success');
        $(this).removeClass('btn-danger');
        $(this).html('Activo');
        $(this).attr('estadoCalificar', "INACTIVO");
    }
})     
